Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ij.plugin
Class ZProjector

    java.lang.Object
      ij.plugin.ZProjector

All Implemented Interfaces:
  PlugIn

public class ZProjector
extends java.lang.Object
implements PlugIn

This plugin performs a z-projection of the input stack. Type of output image is same as type of input image. Both maximum and average intensity projections are supported.

Author:
  Patrick Kelly

Field Summary
`static int` | `AVG_METHOD`
`static java.lang.String` | `lutMessage`
`static int` | `MAX_METHOD`
`static int` | `MEDIAN_METHOD`
`static java.lang.String[]` | `METHODS`
`static int` | `MIN_METHOD`
`static int` | `SD_METHOD`
`static int` | `SUM_METHOD`

Constructor Summary
`ZProjector()`
`ZProjector(ImagePlus imp)` Construction of ZProjector with image to be projected.

Method Summary
`protected GenericDialog` | `buildControlDialog(int start, int stop)` Builds dialog to query users for projection parameters.
`void` | `doProjection()` Performs actual projection using specified method.
`void` | `doRGBProjection()`
`ImagePlus` | `getProjection()` Retrieve results of most recent projection operation.
`void` | `run(java.lang.String arg)` This method is called when the plugin is loaded.
`void` | `setImage(ImagePlus imp)` Explicitly set image to be projected.
`void` | `setMethod(int projMethod)`
`void` | `setStartSlice(int slice)`
`void` | `setStopSlice(int slice)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### AVG_METHOD

    public static final int AVG_METHOD

See Also:
  Constant Field Values

### MAX_METHOD

    public static final int MAX_METHOD

See Also:
  Constant Field Values

### MIN_METHOD

    public static final int MIN_METHOD

See Also:
  Constant Field Values

### SUM_METHOD

    public static final int SUM_METHOD

See Also:
  Constant Field Values

### SD_METHOD

    public static final int SD_METHOD

See Also:
  Constant Field Values

### MEDIAN_METHOD

    public static final int MEDIAN_METHOD

See Also:
  Constant Field Values

### METHODS

    public static final java.lang.String[] METHODS

### lutMessage

    public static final java.lang.String lutMessage

See Also:
  Constant Field Values

Constructor Detail

### ZProjector

    public ZProjector()

### ZProjector

    public ZProjector(ImagePlus imp)

  Construction of ZProjector with image to be projected.

Method Detail

### setImage

    public void setImage(ImagePlus imp)

  Explicitly set image to be projected. This is useful if ZProjection_ object is to be used not as a plugin but as a stand alone processing object.

### setStartSlice

    public void setStartSlice(int slice)

### setStopSlice

    public void setStopSlice(int slice)

### setMethod

    public void setMethod(int projMethod)

### getProjection

    public ImagePlus getProjection()

  Retrieve results of most recent projection operation.

### run

    public void run(java.lang.String arg)

  Description copied from interface: `PlugIn`
  This method is called when the plugin is loaded. 'arg', which may be blank, is the argument specified for this plugin in IJ_Props.txt.

  Specified by:
    `run` in interface `PlugIn`

### doRGBProjection

    public void doRGBProjection()

### buildControlDialog

    protected GenericDialog buildControlDialog(int start,
                                               int stop)

  Builds dialog to query users for projection parameters.

  Parameters:
    `start` - starting slice to display
    `stop` - last slice

### doProjection

    public void doProjection()

  Performs actual projection using specified method.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD